pubspec 0.0.1+1 icon indicating copy to clipboard operation
pubspec: ^0.0.1+1 copied to clipboard

outdatedDart 2 incompatible

A library for manipulating [pubspec](https://www.dartlang.org/tools/pub/pubspec.html) files

pubspec #

A library for manipulating pubspec files.

Usage #

A simple usage example:

 // load it
 var pubSpec = await PubSpec.load(myDirectory);

 // change the dependencies to a single path dependency on project 'foo'
 var newPubSpec = pubSpec.copy(dependencies: { 'foo': new PathReference('../foo') });

 // save it
 await newPubSpec.save(myDirectory);

Features and bugs #

Please file feature requests and bugs at the issue tracker.

9
likes
0
pub points
85%
popularity

Publisher

shield icon for verified publisherstheconduit.dev

A library for manipulating [pubspec](https://www.dartlang.org/tools/pub/pubspec.html) files

Repository (GitHub)
View/report issues

License

unknown (LICENSE)

Dependencies

path, pub_semver, yaml, yamlicious

More

Packages that depend on pubspec